part of 'body_development_bloc.dart';

@immutable
abstract class BodyDevelopmentState extends Equatable {
  const BodyDevelopmentState();

  @override
  List<Object> get props => [];
}

class BodyDevelopmentInitial extends BodyDevelopmentState {
  const BodyDevelopmentInitial();
}

class BodyDevelopmentLoading extends BodyDevelopmentState {
  const BodyDevelopmentLoading();
}

class BodyDevelopmentReady extends BodyDevelopmentState {
  const BodyDevelopmentReady();
}

class BodyDevelopmentError extends BodyDevelopmentState {
  final String message;
  const BodyDevelopmentError({required this.message});

  @override
  List<Object> get props => [message];
}
